Get seat tracking project
curl --request GET \
--url https://api.nops.io/v1/seat-tracking/projects/{projectId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nops.io/v1/seat-tracking/projects/{projectId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nops.io/v1/seat-tracking/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/seat-tracking/projects/{projectId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"project": {
"id": "aisp_abc123",
"name": "Engineering AI Seats",
"budgetId": "budget-1",
"createdAt": "2026-07-17T12:00:00.000Z",
"updatedAt": "2026-07-17T12:00:00.000Z"
},
"issueTracker": {
"enabled": false,
"provider": null,
"connectionId": null,
"targetId": null,
"targetKey": null,
"targetName": null,
"kindId": null,
"kindName": null,
"fieldValues": null
},
"budget": {
"id": "budget-1",
"name": "AI Seats: Engineering AI Seats",
"period": "MONTHLY",
"status": "DRAFT",
"category": "ai_seats",
"startDate": "2026-01-01",
"endDate": "2026-12-01"
},
"explorerReport": {
"reportId": "report-1",
"reportName": "Engineering AI Seats"
},
"providers": {
"section": "budget",
"configured": true,
"providers": [
"claude-enterprise",
"cursor"
]
},
"costAllocation": {
"section": "allocation",
"configured": true,
"enabled": true,
"showbackId": 1,
"showbackName": "Engineering AI Seats"
},
"groupTargets": {
"section": "budget",
"configured": true,
"count": 3,
"overriddenCount": 1
},
"automation": {
"section": "rebalance",
"configured": true,
"enabledCount": 1,
"policies": [
{
"provider": "claude-enterprise",
"enabled": true,
"approvalMode": "approve",
"lastDetectAt": "2026-07-17T12:00:00.000Z",
"lastDetectReason": "threshold",
"lastRunAt": "2026-07-17T12:00:00.000Z"
}
]
},
"reviewRouting": {
"section": "requests",
"configured": true,
"assignmentCount": 5
},
"requests": {
"section": "requests",
"openCount": 2,
"countsByStatus": {
"open": 2
}
},
"activity": {
"section": "rebalance",
"latestRun": {
"id": "run_abc",
"provider": "claude-enterprise",
"status": "applied",
"trigger": "manual",
"startedAt": "2026-07-17T12:00:00.000Z",
"finishedAt": "2026-07-17T12:00:00.000Z"
},
"recentAuditLogCount": 12,
"recentAuditWindowDays": 30
}
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Seat Tracking
Get seat tracking project
Get summary and metadata for a seat tracking project.
GET
https://api.nops.io
/
v1
/
seat-tracking
/
projects
/
{projectId}
Get seat tracking project
curl --request GET \
--url https://api.nops.io/v1/seat-tracking/projects/{projectId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.nops.io/v1/seat-tracking/projects/{projectId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.nops.io/v1/seat-tracking/projects/{projectId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.nops.io/v1/seat-tracking/projects/{projectId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"project": {
"id": "aisp_abc123",
"name": "Engineering AI Seats",
"budgetId": "budget-1",
"createdAt": "2026-07-17T12:00:00.000Z",
"updatedAt": "2026-07-17T12:00:00.000Z"
},
"issueTracker": {
"enabled": false,
"provider": null,
"connectionId": null,
"targetId": null,
"targetKey": null,
"targetName": null,
"kindId": null,
"kindName": null,
"fieldValues": null
},
"budget": {
"id": "budget-1",
"name": "AI Seats: Engineering AI Seats",
"period": "MONTHLY",
"status": "DRAFT",
"category": "ai_seats",
"startDate": "2026-01-01",
"endDate": "2026-12-01"
},
"explorerReport": {
"reportId": "report-1",
"reportName": "Engineering AI Seats"
},
"providers": {
"section": "budget",
"configured": true,
"providers": [
"claude-enterprise",
"cursor"
]
},
"costAllocation": {
"section": "allocation",
"configured": true,
"enabled": true,
"showbackId": 1,
"showbackName": "Engineering AI Seats"
},
"groupTargets": {
"section": "budget",
"configured": true,
"count": 3,
"overriddenCount": 1
},
"automation": {
"section": "rebalance",
"configured": true,
"enabledCount": 1,
"policies": [
{
"provider": "claude-enterprise",
"enabled": true,
"approvalMode": "approve",
"lastDetectAt": "2026-07-17T12:00:00.000Z",
"lastDetectReason": "threshold",
"lastRunAt": "2026-07-17T12:00:00.000Z"
}
]
},
"reviewRouting": {
"section": "requests",
"configured": true,
"assignmentCount": 5
},
"requests": {
"section": "requests",
"openCount": 2,
"countsByStatus": {
"open": 2
}
},
"activity": {
"section": "rebalance",
"latestRun": {
"id": "run_abc",
"provider": "claude-enterprise",
"status": "applied",
"trigger": "manual",
"startedAt": "2026-07-17T12:00:00.000Z",
"finishedAt": "2026-07-17T12:00:00.000Z"
},
"recentAuditLogCount": 12,
"recentAuditWindowDays": 30
}
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}{
"error": {
"code": "forbidden_scope",
"message": "API key is missing required scope: budgets:write",
"request_id": "550e8400-e29b-41d4-a716-446655440000"
}
}Was this page helpful?
⌘I